'use strict';

module.exports = function (bitlen, exp) {
  var ursa;
  try {
    ursa = require('ursa');
  } catch(e) {
    ursa = require('ursa-optional');
  }
  return ursa.generatePrivateKey(bitlen || 2048, exp || 65537).toPrivatePem().toString('ascii').trim();
};

if (require.main === module) {
  console.log(module.exports(2048, 0x10001));
}
